Package org.silverpeas.components.gallery.service

# Class ScheduledDeleteOrder

java.lang.Object
org.silverpeas.components.gallery.service.ScheduledDeleteOrder

All Implemented Interfaces:
  `org.silverpeas.core.scheduler.SchedulerEventListener`

@Bean public class ScheduledDeleteOrder extends Object implements org.silverpeas.core.scheduler.SchedulerEventListener

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `GALLERYENGINE_JOB_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScheduledDeleteOrder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doScheduledDeleteOrder()`
  `void`
  `initialize()`
  `void`
  `jobFailed(org.silverpeas.core.scheduler.SchedulerEvent anEvent)`
  `void`
  `jobSucceeded(org.silverpeas.core.scheduler.SchedulerEvent anEvent)`
  `void`
  `release()`
  `void`
  `triggerFired(org.silverpeas.core.scheduler.SchedulerEvent anEvent)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### GALLERYENGINE_JOB_NAME

    public static final String GALLERYENGINE_JOB_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ScheduledDeleteOrder

    public ScheduledDeleteOrder()

- ## Method Details

  - ### initialize

    public void initialize()

  - ### release

    public void release()

  - ### doScheduledDeleteOrder

    public void doScheduledDeleteOrder()

  - ### triggerFired

    public void triggerFired(org.silverpeas.core.scheduler.SchedulerEvent anEvent)
    Specified by:
      `triggerFired` in interface `org.silverpeas.core.scheduler.SchedulerEventListener`

  - ### jobSucceeded

    public void jobSucceeded(org.silverpeas.core.scheduler.SchedulerEvent anEvent)
    Specified by:
      `jobSucceeded` in interface `org.silverpeas.core.scheduler.SchedulerEventListener`

  - ### jobFailed

    public void jobFailed(org.silverpeas.core.scheduler.SchedulerEvent anEvent)
    Specified by:
      `jobFailed` in interface `org.silverpeas.core.scheduler.SchedulerEventListener`